#!/bin/bash

#***** common **********************#

## 镜像仓库地址
## 云枢产品包对应的镜像仓库
## 注: 如果前后端工程有二开，需要自主构建上传镜像，请使用私有镜像仓库
##     阿里云上开通镜像仓库服务文档见: https://help.aliyun.com/document_detail/290951.html
export CP_DOCKER_REGISTRY=registry.cn-hangzhou.aliyuncs.com

#***** push image ******************#
## 命名空间
export CP_DOCKER_NAMESPACE=cloudpivot
## 镜像仓库密码
export CP_DOCKER_PUSH_PASSWORD=
## 镜像仓库用户名
export CP_DOCKER_PUSH_USERNAME=

#***** deploy ***********************#
export CP_DOCKER_REGISTRY_SECRET_INIT=true

## docker-registry secret name
export CP_DOCKER_REGISTRY_SECRET_NAME="cpregcred"
## 镜像仓库用户名
export CP_DOCKER_PULL_USERNAME=
## 镜像仓库密码
export CP_DOCKER_PULL_PASSWORD=
## 镜像仓库邮箱
export CP_DOCKER_PULL_EMAIL=

## 集群命名空间
export CP_K8S_NAMESPACE=cloudpivot

## License文件路径
export CP_LICENSE_FILE_PATH=

## webapi-PROD配置文件路径
export CP_PROD_CONFIG_FILE_PATH=

## webapi 镜像，使用分发包模式打包时，会将镜像命名为该值
export CP_APP_webapi_IMAGE="registry.cn-hangzhou.aliyuncs.com/guojh/web-api:6.13.0-extensions"
## webapi service NodePort port
export CP_APP_webapi_NODEPORD_PORT=30601

### JVM 参数配置
JVM_OPTS='-Dspring.profiles.active=prod -Xms2g -Xmx6g -Xmn1g -Xss256k -XX:MetaspaceSize=256m -XX:MaxMetaspaceSize=256m -XX:+HeapDumpOnOutOfMemoryError -XX:+PrintGC -XX:+PrintGCDetails -XX:+PrintGCDateStamps -XX:+PrintGCCause -XX:+PrintHeapAtGC -Xloggc:./logs/gc/gc.log -XX:+UseGCLogFileRotation -XX:NumberOfGCLogFiles=15 -XX:GCLogFileSize=16m'

## webapi JVM 参数
export CP_APP_webapi_JAVA_OPTS="$JVM_OPTS"

## frontend 镜像
export CP_APP_frontend_IMAGE="registry.cn-hangzhou.aliyuncs.com/guojh/frontend:6.13.0-extensions"
## frontend service NodePort port
export CP_APP_frontend_NODEPORD_PORT=30600

export CP_FRONTEND_NGINX_PROXY_API_ENABLED=false

## 是否初始化ingress
export CP_INGRESS_INIT=true

#是否部署报表服务
export CP_REPORT_INIT=false

## 域名
export CP_DOMAIN=k8s.cloudpivot.com
export CP_TLS_CRT_FILE=
export CP_TLS_KEY_FILE=
