FROM nginx:1.21.4-alpine

WORKDIR /app

# 系统编码 (基础镜像已经设置)
#ENV LANG C.UTF-8

#更换apk镜像源
# RUN sed -i 's/dl-cdn.alpinelinux.org/mirror.tuna.tsinghua.edu.cn/g' /etc/apk/repositories

ENV TZ Asia/Shanghai
# 时区
RUN apk add tzdata && cp /usr/share/zoneinfo/${TZ} /etc/localtime \
    && echo ${TZ} > /etc/timezone \
    && apk del tzdata

COPY portal /app/www/portal/

COPY ./frontend.nginx.conf /app/config/frontend.nginx.conf
RUN ln -sfn /app/config/frontend.nginx.conf /etc/nginx/conf.d/default.conf

EXPOSE 80

STOPSIGNAL SIGQUIT

CMD ["nginx", "-g", "daemon off;"]
