FROM openjdk:8-jdk-alpine

WORKDIR /app
COPY webapi/web-api*.jar web-api.jar
RUN mkdir -p /app/extensions
COPY webapi/extensions /app/extensions/

RUN mkdir -p /app/logs/gc
RUN mkdir -p /app/tmp

# 系统编码 (基础镜像已经设置)
#ENV LANG C.UTF-8

#更换apk镜像源
RUN sed -i 's/dl-cdn.alpinelinux.org/mirror.tuna.tsinghua.edu.cn/g' /etc/apk/repositories
ENV TZ Asia/Shanghai
# 时区
RUN apk add tzdata && cp /usr/share/zoneinfo/${TZ} /etc/localtime \
    && echo ${TZ} > /etc/timezone \
    && apk del tzdata

CMD java ${JAVA_OPTS} -Dloader.path=/app/extensions,/app/extensions/common -jar /app/web-api.jar
