# k8s kubectl tips

```
$ kubectl config set-context --current --namespace=cloudpivot

$ kubectl get ns
$ kubectl get all -A
$ kubectl get pods -A -o wide


$ kubectl get po -n cloudpivot

# 获取pod信息
$ kubectl get pod -o yaml webapi-7964f6cf44-cwdrv -n cloudpivot

# 输出secret
$ kubectl get secret cpregcred --output=yaml -n cloudpivot

# 查看pod日志
$ kubectl logs -f webapi-755bc6ffc9-tk867 -n cloudpivot

# 在pod执行命令
$ kubectl exec webapi-755bc6ffc9-hr9xl -n cloudpivot -- uname -a

## 查看gc情况
$ kubectl exec -ti webapi-5f54f46bd9-2fn9t -n cloudpivot --  jstat -gcutil 1 1000

# 进入pod
$ kubectl exec -ti webapi-755bc6ffc9-nwhr6 -n cloudpivot -- /bin/sh

# 重启
$ kubectl scale deployment webapi --replicas=0 -n cloudpivot
$ kubectl scale deployment webapi --replicas=1 -n cloudpivot

# 手工强制升级镜像 
$ kubectl set image deployment/webapi webapi=registry.cn-hangzhou.aliyuncs.com/cloudpivot/web-api:6.10.0 --record=true
$ kubectl set image deployment/frontend frontend=registry.cn-hangzhou.aliyuncs.com/cloudpivot/frontend:6.10.0 --record=true

# 扩容
$ kubectl scale deployment frontend --replicas=2 -n cloudpivot
$ kubectl scale deployment webapi --replicas=2 -n cloudpivot

# 自动扩缩容
## 对frontend的deployment的对象创建HPA控制器，当CPU的使率超过50%时实现自动化扩容，支持1到6之前Pod副本数量，以使得Pod CPU使用率维持在50% 以内。
$ kubectl autoscale deployment frontend --min=1 --max=6 --cpu-percent=50 -n cloudpivot

$ kubectl get hpa -n cloudpivot
$ kubectl delete hpa frontend -n cloudpivot


# Find out all deployments across all namespaces
$ kubectl get deploy -A
$ kubectl delete deploy frontend -n cloudpivot


# 删除命名空间
$ kubectl delete namespace cloudpivot
```